AutoSignaling< T > Class Template Reference

Provides auto signaling support. More...

Inheritance diagram for AutoSignaling< T >:

## Public Member Functions

| AutoSignaling (int propagation=-1)
void | SetAutoSignalPropagation (int propagation)
int | GetAutoSignalPropagation () const

## Detailed Description

### template<class T>
class AutoSignaling< T >

Provides auto signaling support.

Template Parameters

  T | the class or type

T should be a BufferedTransformation derived class

Definition at line 226 of file simple.h.

The documentation for this class was generated from the following file:

- simple.h